/* You can add global styles to this file, and also import other style files */

@import "~@fortawesome/fontawesome-free/css/all.css";


button:focus, button:active:focus, button.active:focus {
  outline: none !important;
}

.routerContent {
  height: 100vh;
}

.btNav {
  padding-bottom: 250px;
}


.b2 {
  float: right;
  border: 1px solid lightgray;
  border-radius: 7px;
  margin: 0 10px 10px 10px;
}

.b2:hover {
  background-color: whitesmoke;
}

.bt {
  border: 1px solid lightgray;
  border-radius: 7px;
  margin-top: 20px;
}
.bt:hover {
  background-color: whitesmoke;
}


em {
  float: left; color: #4183c4; padding-left: 10px;
}


.subtitle {
  color: #f2a035;
}

label {
  font-weight: bold;
}


.borderBox {
  border-style: solid;
  border-width: 1px;
  border-color: red;
  margin-bottom: 10px;
  margin-left: 10px;
}


.clickable {
  cursor: pointer;
  color: #4183c4;
}

mark {
  background-color: rgba(255, 255, 255, 0.0);
  font-weight: bold;
  color: black;
}

.diagram {
  margin: 5px;
  display: inline-block;
  font-size: 17px;
  font-weight: bold;
}


pre {
  overflow-x: auto;
  white-space: pre-wrap;
  white-space: -moz-pre-wrap;
  white-space: -o-pre-wrap;
  word-wrap: break-word;
  width: 500px;
  padding: 5px;
  border-style: solid;
  border-width: 1px;
  border-color: lightgray;
  background-color: #fafafa;
}


html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }


